Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class AdFilter

    java.lang.Object
      rabbit.filter.HTMLFilter
          rabbit.filter.AdFilter

All Implemented Interfaces:
  HTMLFilterFactory

    public class AdFilter

extends HTMLFilter

This class switches advertising images into another image.

Field Summary
`protected static java.lang.String` | `ADREPLACER` the image we replace ads with

Fields inherited from class rabbit.filter.HTMLFilter
`con, request, response`

Constructor Summary
`AdFilter()`
`AdFilter(Connection con, HTTPHeader request, HTTPHeader response)` Create a new AdFilter for the given request, response pair.

Method Summary
`void` | `filterHTML(HTMLBlock block)` Removes advertising from the given block.
`boolean` | `isEvil(java.lang.String str)` Check if a string is evil (that is its probably advertising).
`HTMLFilter` | `newFilter(Connection con, HTTPHeader request, HTTPHeader response)` Get a new HTMLFilter for the given request, response pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADREPLACER

    protected static final java.lang.String ADREPLACER

  the image we replace ads with

  See Also:
    Constant Field Values

Constructor Detail

### AdFilter

    public AdFilter()

### AdFilter

    public AdFilter(Connection con,
                    HTTPHeader request,
                    HTTPHeader response)

  Create a new AdFilter for the given request, response pair.

  Parameters:
    `request` - the actual request made.
    `response` - the actual response being sent.

Method Detail

### newFilter

    public HTMLFilter newFilter(Connection con,
                                HTTPHeader request,
                                HTTPHeader response)

  Description copied from class: `HTMLFilter`
  Get a new HTMLFilter for the given request, response pair.

  Specified by:
    `newFilter` in interface `HTMLFilterFactory`
  Specified by:
    `newFilter` in class `HTMLFilter`
  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

### filterHTML

    public void filterHTML(HTMLBlock block)

  Removes advertising from the given block.

  Specified by:
    `filterHTML` in class `HTMLFilter`
  Parameters:
    `block` - the part of the html page we are filtering.

### isEvil

    public boolean isEvil(java.lang.String str)

  Check if a string is evil (that is its probably advertising).

  Parameters:
    `str` - the String to check.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD